<?php
/*
Plugin Name: Carousel Edit URL for NewsPro
Plugin URI: http://newyorkbusinessreview.com/wordpress/technology/carousel-edit-url-for-newspro/
Description: Plugin file for https://codex.wordpress.org/Widgets_API with some minor modification - Tested with Wordpress 4.7.4
Version: 70.0
Author: Stephen Elliott based on https://codex.wordpress.org/Widgets_API
Author URI: http://newyorkbusinessreview.com/wordpress/technology/stephen-elliott/
Text Domain: carousel_edit_url_for_newspro
Domain Path: /languages
License: GPL2
*/

/**
 * Enqueue styles and scripts
 */
require 'enqueues.php';


/**
 * Adds carousel_edit_url widget.
 */

class carousel_edit_url_for_newspro extends WP_Widget {

	/**
	 * Register widget with WordPress.
	 */
	function __construct() {
		parent::__construct(
			'carousel_edit_url_for_newspro', // Base ID
			esc_html__( 'Carousel Edit URL for NewsPro', 'text_domain' ), // Name 
			array( 'description' => esc_html__( 'Select from multiple local or outside links for banner reference.','text_domain' ), ) // Args
			);
		}


	/**
	 * Proxy function to return posts
	 *
	 * @param $args
	 *
	 * @return WP_Query
	 */

	public function get_posts( $args ) {
		include "get_posts.php";  /*Include the get_posts($args) function body*/
		}


	/**
	 * Front-end display of widget.
	 *
	 * @see WP_Widget::widget()
	 *
	 * @param array $args     Widget arguments.
	 * @param array $instance Saved values from database.
	 */
	
  	public function widget( $args, $instance ) {
	/* include "thiswidget.php"; */ /*disable for now*/
      /* Include the widget($args, $instance) function body */
      /* include "businesspartnerships.php"; */ /*Original works fine with id update; see examples   
      */
      
       $example_run = 4;  /*Set to 0 to disable all widget output */
       $example_max = 5;
       $example_min = 0;
       $recommended_ex_no = 4;
       $default_slider_value = 4;  /*Default slider value if nothing new has been posted */

      if ($example_run>0) {
        ?>
        <h4 id="contents">&nbsp;</h4>   
<h4 id="anchor_<?php echo $this->id; ?>"> New Prototype Site Features (Anchored)</h4>
      New Prototype Site Features are easily referenced at <a href="http://www.newyorkbusinessreview.com#anchor_<?php echo $this->id; ?>">http://www.newyorkbusinessreview.com#anchor_<?php echo $this->id; ?>  !</a></center>
<!--See:  http://stackoverflow.com/questions/43961402/how-to-correct-anchor/43962367 and wikipedia -->
      	<?php }
      
       $this_widg_id = $this->id;  /* Get the widget ID to be the unique ID Key */
 	if(!isset($_GET[esc_attr( $this->id)])){$set_slider_value = $default_slider_value;} /*if this is the first run, set to default*/
       if ($example_run > 0) { /*Provide a slider to select examples */ 
        ?><p> The Recommended Example Number To View is Example Number <?php echo $recommended_ex_no ?>.</p>
        <!-- See: http://stackoverflow.com/questions/11788005/how-to-get-fetch-html5-range-sliders-value-in-php -->
        <form action="#anchor_<?php echo $this->id; ?>" method="get">
    	<input type="range" min="<?php echo $example_min;?>" max="<?php echo $example_max;?>" step="1" value="<?php echo $set_slider_value ?>" id="<?php echo $this_widg_id; ?>" name="<?php echo $this_widg_id; ?>" onchange='document.getElementById("text_<?php echo $this_widg_id; ?>").value = "Slider Value = " + document.getElementById("<?php echo $this_widg_id; ?>").value;'/>
	<br><center><input type="text" style="text-align: center" name="text_<?php echo $this_widg_id; ?>" id="text_<?php echo $this_widg_id; ?>" value="Slider Value = <?php echo $default_slider_value ?>" disabled /></center>
	<br />
	<center><input style="text-align: center" type="submit" value="Submit Slider Value" /></center>
	</form>	

	<?php
	$this_widg_id = esc_attr( $this->id) ;  /* Get the widget ID to be the unique ID Key */
 
 	echo '<br><br><center><p style="text-align: center">This example widget instance is entitled, "'; 
 	echo esc_attr( $this->id); echo '".</p></center>';
	if(isset($_GET[esc_attr( $this->id)])){
		/* echo "<center>The example selected is: ".$_GET[esc_attr( $this->id)]." </center>"; */ /*Activate to debug */
    	// Your Slider value is here, do what you want with it. Mail/Print anything..
    		$example_run = $_GET[esc_attr( $this->id)];
    		$set_slider_value = $_GET[esc_attr( $this->id)];  /*If the value has been posted, then show it.*/
		} else {
       		$set_slider_value = $default_slider_value; /* Slider value is initially set to default. */ 
		}
	} /*End if example is >0 */
	/* If not working, adapt https://www.w3schools.com/php/php_forms.asp example here, since form update was not working before */
	/*Setup example runs;  an example run of 0 does not run! */
      	
      if ($example_run > 0) {
      	echo '<center><p style="text-align: center">The example content being viewed currently is now example number '.$example_run.':</p></center>';
      	}
      if ($example_run == 1) {
        echo '<p>Example Business Partnerships for the "'.$instance["category_name_textbox"].'" Category Begins</p>';
        include "businesspartnerships.php";  /*full copy, id update*/
        echo '<p>Example BP Ends</p>';
      	}
      elseif ($example_run == 2) {
        echo '<p>Example for Business for the "'.$instance["category_name_textbox"].'" Category Begins</p>';
      	include "businesscarouselstatic/business_head.php";  /*content before the loop*/
      	include "businesscarouselstatic/business_loop.php";  /*the loop*/
      	include "businesscarouselstatic/business_tail.php";  /*content after the loop*/
        echo '<p>Example for Business Ends</b>';
      	}
      elseif ($example_run == 3) {
        echo '<p>Example for Books for the "'.$instance["category_name_textbox"].'" Category Begins</p>';
        include "bookscarouselstatic/books.php";
        echo '<p>Example for Books Ends</b>';
        }
      elseif ($example_run == 4) {
        echo '<p>Example for Static Books for the "'.$instance["category_name_textbox"].'" Category Begins</p>';
        include "bookscarouselstatic/books_head_vars.php";
        include "bookscarouselstatic/books_head.php";
        include "bookscarouselstatic/books_loop_vars.php";
        include "bookscarouselstatic/books_loop.php";
        include "bookscarouselstatic/books_tail_vars.php";
        include "bookscarouselstatic/books_tail.php";
        echo '<p>Example for Static Looped Books Ends</b>';
        }
            elseif ($example_run == 5) {
        echo '<p>Example for Looped Books for the "'.$instance["category_name_textbox"].'" Category Begins</p>';
        include "bookscarousel/books_head_vars.php";
        include "bookscarousel/books_head.php";
        include "bookscarousel/books_loop_vars.php";
        include "bookscarousel/books_loop.php";
        include "bookscarousel/books_tail_vars.php";
        include "bookscarousel/books_tail.php";
        echo '<p>Example for Looped Books Ends</b>';
        }

}
    
	/**
	 * Back-end widget form.
	 *
	 * @see WP_Widget::form()
	 *
	 * @param array $instance Previously saved values from database.
	 */

	public function form( $instance ) {
    	/*  
			1.  name="ceutitle" value="Default Title"
			2.  name="ceuusetitle" value="1" checked="checked"
			3.  name="ceuviewallurl" value="Default View All URL"
			4.  name="ceuuseviewurl" value="useviewurl" checked="checked" 
			5.  name="ceubaseurl" value=""
			6.  name="ceuusebaseurl" value="usebaseurl"
			7.  name="ceucustomurlfieldname" value="Custom Field for Post URL"
			8.  name="ceuusecustomurlfieldname" checked="checked" value="usecustomurlfieldname"
			9.  name="ceucategory"  value="uncategorized"
			10. name="ceuusecategoryname" value="usecategoryname" checked="checked"
			11. name="ceupoststoshowtext" value="8"
			12. name="ceudemoidtext" value="4"
			13. name="ceushowdemoslider" type="checkbox" value="showdemoslidernotselected"
			14. name="ceucategoryname" checked="checked" value="usecategoryname"
			15. name="ceuheaderfixname" checked="checked" value="useheaderfix"
			16. name="ceupoststoshowtext" value="New York Business Review Has the Latest News and Business Reviews for Today"
			17. name="ceuusecategoryname" checked="checked" value="usecategoryname"
     	*/
		/* 1.  name="ceutitle" value="Default Title" */
		$title = ( ! empty( $instance['title'] ) ) ? strip_tags( $instance['title'] ) : 'Default Title';

		/* 0.  name="ceuusetitle" value="usetitle" checked="checked" */
		$titleooo = ( ! empty( $instance['titleooo'] ) ) ? strip_tags( $instance['titleooo'] ) : '1';

		/* 1.  name="ceuviewallurl" value="Default View All URL" */
		$titleooa = ( ! empty( $instance['titleooa'] ) ) ? strip_tags( $instance['titleooa'] ) : 'Default View All URL';

		/* 2.  name="ceuuseviewurl" value="useviewurl" checked="checked" */
    $titleoob = ( ! empty( $instance['titleoob'] ) ) ? strip_tags( $instance['titleoob'] ) : '1';

		/* 3.  name="ceubaseurl" value="donotuseviewurl" */
    $titleooc = ( ! empty( $instance['titleooc'] ) ) ? strip_tags( $instance['titleooc'] ) : 'Do Not Use a Base URL (Default)';

		/* 4.  name="ceuusebaseurl" value="usebaseurl" */
    $titleood = ( ! empty( $instance['titleood'] ) ) ? strip_tags( $instance['titleood'] ) : '0';

		/* 5.  name="ceucustomurlfieldname" value="Custom Field for Post URL" */
    $titleooe = ( ! empty( $instance['titleooe'] ) ) ? strip_tags( $instance['titleooe'] ) : 'Custom Field for Post URL';

		/* 6.  name="ceuusecustomurlfieldname" checked="checked" 
			value="usecustomurlfieldname" */
    $titleoof = ( ! empty( $instance['titleoof'] ) ) ? strip_tags( $instance['titleoof'] ) : '1';

		/* 7.  name="ceucategory"  value="uncategorized" */
    $titleoog = ( ! empty( $instance['titleoog'] ) ) ? strip_tags( $instance['titleoog'] ) : 'uncategorized';

		/* 8. name="ceuusecategoryname" value="usecategoryname" checked="checked" */
    $titleooh = ( ! empty( $instance['titleooh'] ) ) ? strip_tags( $instance['titleooh'] ) : '1';

		/* 9. name="ceupoststoshowtext" value="8" */
    $titleooi = ( ! empty( $instance['titleooi'] ) ) ? strip_tags( $instance['titleooi'] ) : '8';

		/* 10. name="ceudemoidtext" value="4" */
    $titleoao = ( ! empty( $instance['titleoao'] ) ) ? strip_tags( $instance['titleoao'] ) : '4';

		/* 11. name="ceushowdemoslider" type="checkbox" value="showdemoslidernotselected" */
    $titleoaa = ( ! empty( $instance['titleoaa'] ) ) ? strip_tags( $instance['titleoaa'] ) : '0';

		/* 12. name="ceucategoryname" checked="checked" value="usecategoryname" */
    $titleoab = ( ! empty( $instance['titleoab'] ) ) ? strip_tags( $instance['titleoab'] ) : '1';

		/* 13. name="ceuheaderfixcss" checked="checked" value="useheaderfix" */
    $titleoac = ( ! empty( $instance['titleoac'] ) ) ? strip_tags( $instance['titleoac'] ) : '1';

		/* 14. name="ceupoststoshowtext" value="The New York Business Review Has the Latest News and Business Reviews for Today!" */
    $titleoad = ( ! empty( $instance['titleoad'] ) ) ? strip_tags( $instance['titleoad'] ) : 'The New York Business Review Has the Latest News and Business Reviews for Today!';

		/* 15. name="ceuuseheadernamefix" checked="checked" value="useheadersitenamefix" */
    $titleoae = ( ! empty( $instance['titleoae'] ) ) ? strip_tags( $instance['titleoae'] ) : '1';

		/* 100. name="instancenumber" value="set by instance" */
    $titleaoo = ( ! empty( $instance['titleaoo'] ) ) ? strip_tags( $instance['titleaoo'] ) : $this->get_field_id( 'title' );

    
    echo $args['before_widget'];?>
		<p>		
		<label for="<?php echo esc_attr( $this->get_field_id( 'title' ) ); ?>"><?php esc_attr_e( 'Title:', 'text_domain' ); ?></label>
		<input class="widefat" id="<?php echo ($igetfieldidtitle = esc_attr( $this->get_field_id( 'title' ) )); ?>" name="<?php echo esc_attr( $this->get_field_name( 'title' ) ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>">
		</p>
	
		<p>
		<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'titleooo' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'titleooo' ) ); ?>" type="text" value="<?php echo esc_attr( $titleooo ); ?>">
		</p>

		<p>
		<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'titleooa' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'titleooa' ) ); ?>" type="text" value="<?php echo esc_attr( $titleooa ); ?>">
		</p>

		<p>
		<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'titleoob' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'titleoob' ) ); ?>" type="text" value="<?php echo esc_attr( $titleoob ); ?>">
		</p>

		<p>
		<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'titleooc' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'titleooc' ) ); ?>" type="text" value="<?php echo esc_attr( $titleooc ); ?>">
		</p>

		<p>
		<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'titleood' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'titleood' ) ); ?>" type="text" value="<?php echo esc_attr( $titleood ); ?>">
		</p>

		<p>
		<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'titleooe' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'titleooe' ) ); ?>" type="text" value="<?php echo esc_attr( $titleooe ); ?>">
		</p>

		<p>
		<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'titleoof' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'titleoof' ) ); ?>" type="text" value="<?php echo esc_attr( $titleoof ); ?>">
		</p>

		<p>
		<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'titleoog' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'titleoog' ) ); ?>" type="text" value="<?php echo esc_attr( $titleoog ); ?>">
		</p>

		<p>
		<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'titleooh' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'titleooh' ) ); ?>" type="text" value="<?php echo esc_attr( $titleooh ); ?>">
		</p>

		<p>
		<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'titleooi' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'titleooi' ) ); ?>" type="text" value="<?php echo esc_attr( $titleooi ); ?>">
		</p>

		<p>
		<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'titleoao' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'titleoao' ) ); ?>" type="text" value="<?php echo esc_attr( $titleoao ); ?>">
		</p>

		<p>
		<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'titleoaa' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'titleoaa' ) ); ?>" type="text" value="<?php echo esc_attr( $titleoaa ); ?>">
		</p>

		<p>
		<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'titleoab' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'titleoab' ) ); ?>" type="text" value="<?php echo esc_attr( $titleoab ); ?>">
		</p>

		<p>
		<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'titleoac' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'titleoac' ) ); ?>" type="text" value="<?php echo esc_attr( $titleoac ); ?>">
		</p>

		<p>
		<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'titleoad' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'titleoad' ) ); ?>" type="text" value="<?php echo esc_attr( $titleoad ); ?>">
		</p>

		<p>
		<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'titleoae' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'titleoae' ) ); ?>" type="text" value="<?php echo esc_attr( $titleoae ); ?>">
		</p>

		<p>
		<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'titleaoo' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'titleaoo' ) ); ?>" class = "titleaooclass" type="text" value="<?php echo esc_attr( $this->get_field_id( 'titleaoo' ) ); ?>">
		</p>

<!-- titleaoa for log file output -->
		<p>
		<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'titleaoa' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'titleaoa' ) ); ?>" class = "titleaoaclass" type="text" value="<?php echo esc_attr( $this->get_field_id( 'titleaoa' ) ); ?>">
		</p>

		<!--		
    /* See https://www.w3schools.com/jsref/tryit.asp?filename=tryjsref_onchange2 */
		/* Require Back End Widget Form */ -->
<?php 
require 'backendwnisoform.php';
?>

<?php echo $args['after_widget'];
	}		

	/**
	 * Sanitize widget form values as they are saved.
	 *
	 * @see WP_Widget::update()
	 *
	 * @param array $new_instance Values just sent to be saved.
	 * @param array $old_instance Previously saved values from database.
	 *
	 * @return array Updated safe values to be saved.
	 */
     /* 
		/* 1.  name="ceutitle" value="Default Title" */
		/* 2.  name="ceuusetitle" value="usetitle" checked="checked" */
		/* 3.  name="ceuviewallurl" value="Default View All URL" */
		/* 4.  name="ceuuseviewurl" value="useviewurl" checked="checked" */
		/* 5.  name="ceubaseurl" value="" */
		/* 6.  name="ceuusebaseurl" value="usebaseurl" */
		/* 7.  name="ceucustomurlfieldname" value="Custom Field for Post URL" */
		/* 8.  name="ceuusecustomurlfieldname" checked="checked" 
		/* 9.  name="ceucategory"  value="uncategorized" */
		/* 10. name="ceuusecategoryname" value="usecategoryname" checked="checked" */
		/* 11. name="ceupoststoshowtext" value="8" */
		/* 12. name="ceudemoidtext" value="4" */
		/* 13. name="ceushowdemoslider" type="checkbox" value="showdemoslidernotselected" */
		/* 14. name="ceucategoryname" checked="checked" value="usecategoryname" */
		/* 15. name="ceuheaderfixname" checked="checked" value="useheaderfix" */
		/* 16. name="ceupoststoshowtext" value="The New York Business Review Has the Latest News and Business Reviews for Today!" */
		/* 17. name="ceuusecategoryname" checked="checked" value="usecategoryname" */
	public function update( $new_instance, $old_instance ) {
		$instance = array();
		$instance['title'] = ( ! empty( $new_instance['title'] ) ) ? strip_tags( $new_instance['title'] ) : '';
		$instance['titleooo'] = ( ! empty( $new_instance['titleooo'] ) ) ? strip_tags( $new_instance['titleooo'] ) : '';
    
		$instance['titleooa'] = ( ! empty( $new_instance['titleooa'] ) ) ? strip_tags( $new_instance['titleooa'] ) : '';
    $instance['titleoob'] = ( ! empty( $new_instance['titleoob'] ) ) ? strip_tags( $new_instance['titleoob'] ) : '';
    $instance['titleooc'] = ( ! empty( $new_instance['titleooc'] ) ) ? strip_tags( $new_instance['titleooc'] ) : '';
    $instance['titleood'] = ( ! empty( $new_instance['titleood'] ) ) ? strip_tags( $new_instance['titleood'] ) : '';
    $instance['titleooe'] = ( ! empty( $new_instance['titleooe'] ) ) ? strip_tags( $new_instance['titleooe'] ) : '';
    $instance['titleoof'] = ( ! empty( $new_instance['titleoof'] ) ) ? strip_tags( $new_instance['titleoof'] ) : '';
    $instance['titleoog'] = ( ! empty( $new_instance['titleoog'] ) ) ? strip_tags( $new_instance['titleoog'] ) : '';
    $instance['titleooh'] = ( ! empty( $new_instance['titleooh'] ) ) ? strip_tags( $new_instance['titleooh'] ) : '';
    $instance['titleooi'] = ( ! empty( $new_instance['titleooi'] ) ) ? strip_tags( $new_instance['titleooi'] ) : '';
    $instance['titleoao'] = ( ! empty( $new_instance['titleoao'] ) ) ? strip_tags( $new_instance['titleoao'] ) : '';
    $instance['titleoaa'] = ( ! empty( $new_instance['titleoaa'] ) ) ? strip_tags( $new_instance['titleoaa'] ) : '';
    $instance['titleoab'] = ( ! empty( $new_instance['titleoab'] ) ) ? strip_tags( $new_instance['titleoab'] ) : '';
    $instance['titleoac'] = ( ! empty( $new_instance['titleoac'] ) ) ? strip_tags( $new_instance['titleoac'] ) : '';
    $instance['titleoad'] = ( ! empty( $new_instance['titleoad'] ) ) ? strip_tags( $new_instance['titleoad'] ) : '';
    $instance['titleoae'] = ( ! empty( $new_instance['titleoae'] ) ) ? strip_tags( $new_instance['titleoae'] ) : '';

    $instance['titleaoo'] = ( ! empty( $new_instance['titleaoo'] ) ) ? strip_tags( $new_instance['titleaoo'] ) : '';
    $instance['titleaoa'] = ( ! empty( $new_instance['titleaoo'] ) ) ? strip_tags( $new_instance['titleaoa'] ) : '';
		return $instance;
		}

	} // class carousel_edit_url_for_newspro

// register carousel_edit_url_for_newspro
function register_carousel_edit_url_for_newspro() {
	register_widget( 'carousel_edit_url_for_newspro' );
	}
add_action( 'widgets_init', 'register_carousel_edit_url_for_newspro' );

?>
