<?php
if ( $posts->have_posts() {
  $idObj = get_category_by_slug( $instance['newsmag_category'] );
	$color = newsmag_category_color( $idObj->term_id );
	$id    = rand( 1, 6666 );

	$args = array(
		'property' => 'background',
		'selector' => '#newsmag-color-coded-' . $id . ' h2 a, #newsmag-color-coded-' . $id . ' h2:after , #newsmag-color-coded-' . $id . ' .newsmag-post-box-category ',
		'value'    => $color
		);

	$color_coded = Epsilon_Color_Coded_Categories::get_instance();
	$color_coded->set_selectors( $args );
}
	?>
	<div class="clearfix"></div>
	<div class="col-md-12 newsmag-posts-carousel" <?php echo 'id="newsmag-color-coded-' . absint( $id ) . '"' ?>>
		<h2>
			<?php
			if ( ! empty( $instance['title'] ) ) {
				?>
				<span><?php echo esc_html( $instance['title'] ); ?></span>
				<?php
			} else {
				?>
				<a href="<?php echo esc_url( get_category_link( $idObj->term_id ) ) ?>">
					<?php echo ( empty( $instance['title'] ) && $idObj !== false ) ? esc_html( $idObj->name ) : esc_html( $instance['title'] ); ?>
				</a>
			<?php } ?>
		</h2>
		<div class="row">
			<div class="newsmag-carousel-navigation hidden-xs text-right">
				<ul class="newsmag-carousel-arrows clearfix">
					<li>
						<a href="<?php echo esc_url( get_category_link( $idObj->term_id ) ) ?>"><?php echo __( 'VIEW ALL', 'newsmag-pro' ) ?></a>
					</li>
					<li><a href="#" class="newsmag-owl-prev fa fa-angle-left"></a></li>
					<li><a href="#" class="newsmag-owl-next fa fa-angle-right"></a></li>
				</ul>
			</div>
			<?php $id = rand( 1, 6666 ); ?>
			<div class="owlCarousel owl-carousel owl-theme col-md-12" data-slider-id="<?php echo (int) $id ?>"
			     id="owlCarousel-<?php echo (int) $id ?>" data-slider-items="4" data-slider-speed="400"
			     data-slider-auto-play="true" data-slider-navigation="false">
				<?php
				while ( $posts->have_posts() ) : $posts->the_post(); ?>
					<div class="item">
						<div class="newsmag-image">
							<?php
							$image = '<img class="attachment-newsmag-recent-post-big size-newsmag-recent-post-big wp-post-image" alt="" src="' . get_template_directory_uri() . '/assets/images/picture_placeholder.jpg" />';
							if ( has_post_thumbnail() ) {
								$image = get_the_post_thumbnail( get_the_ID(), 'newsmag-post-horizontal' );
							}

							$image_obj    = array( 'id' => get_the_ID(), 'image' => $image );
							$new_image    = apply_filters( 'newsmag_widget_image', $image_obj );
							$allowed_tags = array(
								'img'      => array(
									'data-srcset' => true,
									'data-src'    => true,
									'srcset'      => true,
									'sizes'       => true,
									'src'         => true,
									'class'       => true,
									'alt'         => true,
									'width'       => true,
									'height'      => true
								),
								'noscript' => array()
							);
							?>
							<a href="<?php echo esc_url( get_the_permalink() ) ?>">
								<?php echo wp_kses( $new_image, $allowed_tags ); ?>
							</a>
							<?php
							$category = get_the_category();
							$color    = newsmag_category_color( $category[0]->term_id );
							?>
							<span
								class="newsmag-post-box-category <?php echo ! empty( $color ) ? 'dynamic' : '' ?>">
							<a href="<?php echo esc_url_raw( get_category_link( $category[0] ) ) ?>">
								<?php echo esc_html( $category[0]->name ) ?>
							</a>
						</span>
						</div>

						<h3>
							<a href="<?php echo esc_url( get_the_permalink() ) ?>"><?php echo wp_trim_words( get_the_title(), 5 ) ?></a>
						</h3>

						<div class="meta">
							<span class="fa fa-clock-o"></span> <?php echo esc_html( get_the_date() ); ?>
							<?php newsmag_posted_on( 'comments' ); ?>
							<?php if ( current_user_can( 'manage_options' ) ) { ?>
								<a class="newsmag-comments-link " target="_blank"
								   href="<?php echo get_admin_url() . 'post.php?post=' . get_the_ID() . '&action=edit' ?>">
									<span class="fa fa-edit"></span> <?php echo __( 'Edit', 'newsmag-pro' ) ?>
								</a>
							<?php } ?>
						</div>
					</div>
				<?php endwhile; ?>
			</div>
		</div><!--/.row-->
	</div>
<?php endif; ?>

<?php wp_reset_query();